# class Chef::Resource::CookbookFile

### Public Class Methods

new(name, run_context=nil) click to toggle source
Calls superclass method Chef::Resource::File.new

    # File lib/chef/resource/cookbook_file.rb, line 32
    def initialize(name, run_context=nil)
      super
      @provider = Chef::Provider::CookbookFile
      @resource_name = :cookbook_file
      @action = "create"
      @source = ::File.basename(name)
      @cookbook = nil
      @provider = Chef::Provider::CookbookFile
    end

### Public Instance Methods

cookbook(cookbook_name=nil) click to toggle source

    # File lib/chef/resource/cookbook_file.rb, line 46
    def cookbook(cookbook_name=nil)
      set_or_return(:cookbook, cookbook_name, :kind_of => String)
    end

source(source_filename=nil) click to toggle source

    # File lib/chef/resource/cookbook_file.rb, line 42
    def source(source_filename=nil)
      set_or_return(:source, source_filename, :kind_of => String)
    end